> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bin reconcile

> Bin reconcile

### Query parameters

<ParamField query="warehouse_id" type="integer (int32)" required />

<ParamField query="sku" type="string" required />

### Response

`BinReconciliationResponse`

<ResponseField name="bin_on_hand" type="string" required />

<ResponseField name="is_balanced" type="boolean" required />

<ResponseField name="sku" type="string" required />

<ResponseField name="variance" type="string" required />

<ResponseField name="warehouse_id" type="integer (int32)" required />

<ResponseField name="warehouse_on_hand" type="string" required />

### Status codes

| Code  | Meaning |
| ----- | ------- |
| `200` | —       |
| `400` | —       |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/warehouse-bins/reconcile' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "bin_on_hand": "string",
    "is_balanced": true,
    "sku": "string",
    "variance": "string",
    "warehouse_id": 1,
    "warehouse_on_hand": "string"
  }
  ```
</ResponseExample>
